import request from '@/utils/request'

// 查询TmMemberDailyUsage列表
export function listTmMemberDailyUsage(query) {
  return request({
    url: '/api/v1/tm-member-daily-usage',
    method: 'get',
    params: query
  })
}

// 查询TmMemberDailyUsage详细
export function getTmMemberDailyUsage(id) {
  return request({
    url: '/api/v1/tm-member-daily-usage/' + id,
    method: 'get'
  })
}

// 新增TmMemberDailyUsage
export function addTmMemberDailyUsage(data) {
  return request({
    url: '/api/v1/tm-member-daily-usage',
    method: 'post',
    data: data
  })
}

// 修改TmMemberDailyUsage
export function updateTmMemberDailyUsage(data) {
  return request({
    url: '/api/v1/tm-member-daily-usage/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除TmMemberDailyUsage
export function delTmMemberDailyUsage(data) {
  return request({
    url: '/api/v1/tm-member-daily-usage',
    method: 'delete',
    data: data
  })
}

